; -- MyMod.iss --
; Demonstrates a minimal BZ2 mod installer

; SEE THE InnoSetup DOCUMENTATION FOR DETAILS ON CREATING .ISS SCRIPT FILES!
; See also the Readme.txt installed with the BZ2 ModInstallerTemplate

[Setup]
AppName=MyMod
; Application version. Should be '#.#' or '#.#.#', no other characters 
AppVersion=1.0.0
DefaultDirName={reg:HKLM\Software\Activision\Battlezone II,Install121Dir|{pf}\My Program}
DefaultGroupName=Battlezone II\MyMod\
UninstallDisplayIcon=un_install.ico
Compression=lzma2
SolidCompression=yes
; Where the Inno Setup Compiler writes the exe that was made. By default, place in same directory as .iss file
OutputDir=.
SetupIconFile=install.ico
OutputBaseFilename=MyModSetup
DirExistsWarning=no
; Where to put the uninstaller.
UninstallFilesDir={win}\Installer

[Files]
; Install mymod.cfg to the dest
Source: "MyModFiles\mymod.cfg"; DestDir: "{app}"; Flags: ignoreversion
; Install everything under MyModAddonDir to that dest dir
Source: "MyModFiles\MyModAddonDir\*"; DestDir: "{app}\MyModAddonDir"; Flags: ignoreversion recursesubdirs createallsubdirs
; Uncomment this when you have a .pak file
; Source: "MyModFiles\mymod.pak"; DestDir: "{app}"; Flags: ignoreversion
Source: "MyModFiles\Readme - MyMod.txt"; DestDir: "{app}"; Flags: isreadme

[InstallDelete]
; Remove any previous files/folders in the install dir\MyModAddonDir folder
; Basically, the .cfg and .pak overwrite any previous install. But, the
; loose files directory needs to be cleaned out to help reduce the chance
; of bad assets.
Type: filesandordirs; Name: "{app}\MyModAddonDir"

[Icons]
; Create Start Menu icons
Name: "{group}\Battlezone II with MyMod"; Filename: "{app}\bzone.exe"; Parameters: "/config mymod.cfg"
Name: "{group}\Battlezone II (editor) with MyMod"; Filename: "{app}\bz2edit.exe"; Parameters: "/config mymod.cfg"
